<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TDA2x BIOS ONLY Performance Report</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="TIOVX_PERFORMANCE_TDA2x_BIOS">TDA2x BIOS ONLY Performance Report </a></h1><table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td><p><b> SoC </b> </p>
</td><td><p>TDA2x   </p>
</td></tr>
<tr>
<td><p><b> Test EVM </b> </p>
</td><td><p>TDA2x TI EVM   </p>
</td></tr>
<tr>
<td><p><b> HOST </b> </p>
</td><td><p>ARM M4 @ 212Mhz running BIOS, L1 Cache Enabled   </p>
</td></tr>
<tr>
<td><p><b> Target </b> </p>
</td><td><p>DSP C66x @ 600Mhz running BIOS, L1/L2 Cache Enabled   </p>
</td></tr>
</table>
<p><br/>
<hr/>
<br/>
</p>
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
  <title>TIOVX Kernel Performance</title>
</head>
<body>
  <table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
    <tr bgcolor="lightgrey">
<td width="5" align="center"><b>Index</b></td>
<td width="25%" align="center"><b>Kernel</b></td>
<td width="25%" align="center"><b>Variant</b></td>
<td width="20%" align="center"><b>Frame Size (Pixels) </b></td>
<td width="25%" align="center"><b>Graph Performance (msec) </b></td>
<td width="25%" align="center"><b>Node Performance (msec) </b></td>
</tr>
 <tr align="center">
<td>1</td>
<td>Accumulate</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.253000</td>
<td>   1.108000</td>
 </tr>
 <tr align="center">
<td>2</td>
<td>AccumulateSquare</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.379000</td>
<td>   1.146000</td>
 </tr>
 <tr align="center">
<td>3</td>
<td>AccumulateWeighted</td>
<td></td>
<td>640x480  (307200)</td>
<td>   0.987000</td>
<td>   0.834000</td>
 </tr>
 <tr align="center">
<td>4</td>
<td>Addition</td>
<td>U8+U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.980000</td>
<td>   0.840000</td>
 </tr>
 <tr align="center">
<td>5</td>
<td>Addition</td>
<td>U8+U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.245000</td>
<td>   1.94000 </td>
 </tr>
 <tr align="center">
<td>6</td>
<td>Addition</td>
<td>U8+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.351000</td>
<td>   1.201000</td>
 </tr>
 <tr align="center">
<td>7</td>
<td>Addition</td>
<td>S16+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.504000</td>
<td>   1.355000</td>
 </tr>
 <tr align="center">
<td>8</td>
<td>Subtraction</td>
<td>U8-U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.984000</td>
<td>   0.832000</td>
 </tr>
 <tr align="center">
<td>9</td>
<td>Subtraction</td>
<td>U8-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.244000</td>
<td>   1.85000 </td>
 </tr>
 <tr align="center">
<td>10</td>
<td>Subtraction</td>
<td>S16-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.394000</td>
<td>   1.243000</td>
 </tr>
 <tr align="center">
<td>11</td>
<td>Subtraction</td>
<td>S16-S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.519000</td>
<td>   1.366000</td>
 </tr>
 <tr align="center">
<td>12</td>
<td>Not Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.756000</td>
<td>   0.617000</td>
 </tr>
 <tr align="center">
<td>13</td>
<td>And Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.177000</td>
<td>   0.816000</td>
 </tr>
 <tr align="center">
<td>14</td>
<td>OR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.10000 </td>
<td>   0.863000</td>
 </tr>
 <tr align="center">
<td>15</td>
<td>XOR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.66000 </td>
<td>   0.838000</td>
 </tr>
 <tr align="center">
<td>16</td>
<td>Abs Diff</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.115000</td>
<td>   0.865000</td>
 </tr>
 <tr align="center">
<td>17</td>
<td>Abs Diff</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.543000</td>
<td>   1.349000</td>
 </tr>
 <tr align="center">
<td>18</td>
<td>Box</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.158000</td>
<td>   1.11000 </td>
 </tr>
 <tr align="center">
<td>19</td>
<td>Dilate</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.41000 </td>
<td>   0.892000</td>
 </tr>
 <tr align="center">
<td>20</td>
<td>Erode</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.42000 </td>
<td>   0.894000</td>
 </tr>
 <tr align="center">
<td>21</td>
<td>Fast Corners</td>
<td>No NMS</td>
<td>640x480  (307200)</td>
<td>  21.273000</td>
<td>  21.106000</td>
 </tr>
 <tr align="center">
<td>22</td>
<td>Canny</td>
<td></td>
<td>640x480  (307200)</td>
<td>   9.256000</td>
<td>   9.88000 </td>
 </tr>
 <tr align="center">
<td>23</td>
<td>Channel Combine</td>
<td>3 to 1 (RGB)</td>
<td>640x480  (307200)</td>
<td>   1.904000</td>
<td>   1.733000</td>
 </tr>
 <tr align="center">
<td>24</td>
<td>Channel Combine</td>
<td>4 to 1 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   2.126000</td>
<td>   1.958000</td>
 </tr>
 <tr align="center">
<td>25</td>
<td>Channel Combine</td>
<td>YUYV</td>
<td>640x480  (307200)</td>
<td>   1.334000</td>
<td>   1.176000</td>
 </tr>
 <tr align="center">
<td>26</td>
<td>Channel Combine</td>
<td>2 to 1 (NV12)</td>
<td>640x480  (307200)</td>
<td>   0.950000</td>
<td>   0.787000</td>
 </tr>
 <tr align="center">
<td>27</td>
<td>Channel Extract</td>
<td>1 of 3 (RGB)</td>
<td>640x480  (307200)</td>
<td>   1.231000</td>
<td>   1.5000  </td>
 </tr>
 <tr align="center">
<td>28</td>
<td>Channel Extract</td>
<td>1 of 4 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   1.282000</td>
<td>   1.132000</td>
 </tr>
 <tr align="center">
<td>29</td>
<td>Color Convert</td>
<td>RGB=>RGBX</td>
<td>640x480  (307200)</td>
<td>   1.900000</td>
<td>   1.630000</td>
 </tr>
 <tr align="center">
<td>30</td>
<td>Color Convert</td>
<td>RGB=>NV12</td>
<td>640x480  (307200)</td>
<td>   2.972000</td>
<td>   2.813000</td>
 </tr>
 <tr align="center">
<td>31</td>
<td>Color Convert</td>
<td>RGB=>IYUV</td>
<td>640x480  (307200)</td>
<td>   3.243000</td>
<td>   3.74000 </td>
 </tr>
 <tr align="center">
<td>32</td>
<td>Color Convert</td>
<td>RGB=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.883000</td>
<td>   1.620000</td>
 </tr>
 <tr align="center">
<td>33</td>
<td>Color Convert</td>
<td>RGBX=>RGB</td>
<td>640x480  (307200)</td>
<td>   1.720000</td>
<td>   1.561000</td>
 </tr>
 <tr align="center">
<td>34</td>
<td>Color Convert</td>
<td>RGBX=>NV12</td>
<td>640x480  (307200)</td>
<td>   3.66000 </td>
<td>   2.868000</td>
 </tr>
 <tr align="center">
<td>35</td>
<td>Color Convert</td>
<td>RGBX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   3.297000</td>
<td>   3.137000</td>
 </tr>
 <tr align="center">
<td>36</td>
<td>Color Convert</td>
<td>RGBX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.951000</td>
<td>   1.730000</td>
 </tr>
 <tr align="center">
<td>37</td>
<td>Color Convert</td>
<td>NVXX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.546000</td>
<td>   2.362000</td>
 </tr>
 <tr align="center">
<td>38</td>
<td>Color Convert</td>
<td>NVXX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.598000</td>
<td>   2.437000</td>
 </tr>
 <tr align="center">
<td>39</td>
<td>Color Convert</td>
<td>NVXX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   1.206000</td>
<td>   0.926000</td>
 </tr>
 <tr align="center">
<td>40</td>
<td>Color Convert</td>
<td>NVXX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.495000</td>
<td>   1.344000</td>
 </tr>
 <tr align="center">
<td>41</td>
<td>Color Convert</td>
<td>YUVX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.609000</td>
<td>   2.451000</td>
 </tr>
 <tr align="center">
<td>42</td>
<td>Color Convert</td>
<td>YUVX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.803000</td>
<td>   2.637000</td>
 </tr>
 <tr align="center">
<td>43</td>
<td>Color Convert</td>
<td>YUVX=>NV12</td>
<td>640x480  (307200)</td>
<td>   1.147000</td>
<td>   0.991000</td>
 </tr>
 <tr align="center">
<td>44</td>
<td>Color Convert</td>
<td>YUVX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   1.208000</td>
<td>   1.55000 </td>
 </tr>
 <tr align="center">
<td>45</td>
<td>Color Convert</td>
<td>IYUV=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.405000</td>
<td>   2.257000</td>
 </tr>
 <tr align="center">
<td>46</td>
<td>Color Convert</td>
<td>IYUV=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.414000</td>
<td>   2.249000</td>
 </tr>
 <tr align="center">
<td>47</td>
<td>Color Convert</td>
<td>IYUV=>NV12</td>
<td>640x480  (307200)</td>
<td>   1.100000</td>
<td>   0.953000</td>
 </tr>
 <tr align="center">
<td>48</td>
<td>Color Convert</td>
<td>IYUV=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.502000</td>
<td>   1.346000</td>
 </tr>
 <tr align="center">
<td>49</td>
<td>Convert Depth</td>
<td>U8 to S16</td>
<td>640x480  (307200)</td>
<td>   1.212000</td>
<td>   0.860000</td>
 </tr>
 <tr align="center">
<td>50</td>
<td>Convolution</td>
<td>3x3, O: U8</td>
<td>640x480  (307200)</td>
<td>   1.527000</td>
<td>   1.373000</td>
 </tr>
 <tr align="center">
<td>51</td>
<td>Convolution</td>
<td>3x3, O: S16</td>
<td>640x480  (307200)</td>
<td>   1.802000</td>
<td>   1.663000</td>
 </tr>
 <tr align="center">
<td>52</td>
<td>Convolution</td>
<td>9x3, O: U8</td>
<td>640x480  (307200)</td>
<td>  54.33000 </td>
<td>  53.874000</td>
 </tr>
 <tr align="center">
<td>53</td>
<td>Convolution</td>
<td>9x3, O: S16</td>
<td>640x480  (307200)</td>
<td>  50.924000</td>
<td>  50.768000</td>
 </tr>
 <tr align="center">
<td>54</td>
<td>Convolution</td>
<td>3x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  55.763000</td>
<td>  55.599000</td>
 </tr>
 <tr align="center">
<td>55</td>
<td>Convolution</td>
<td>3x9, O: S16</td>
<td>640x480  (307200)</td>
<td>  60.423000</td>
<td>  60.264000</td>
 </tr>
 <tr align="center">
<td>56</td>
<td>Convolution</td>
<td>5x5, O: U8</td>
<td>640x480  (307200)</td>
<td>   3.200000</td>
<td>   3.45000 </td>
 </tr>
 <tr align="center">
<td>57</td>
<td>Convolution</td>
<td>5x5, O: S16</td>
<td>640x480  (307200)</td>
<td>   3.619000</td>
<td>   3.455000</td>
 </tr>
 <tr align="center">
<td>58</td>
<td>Convolution</td>
<td>7x7, O: U8</td>
<td>640x480  (307200)</td>
<td>   6.377000</td>
<td>   6.217000</td>
 </tr>
 <tr align="center">
<td>59</td>
<td>Convolution</td>
<td>7x7, O: S16</td>
<td>640x480  (307200)</td>
<td>   6.749000</td>
<td>   6.574000</td>
 </tr>
 <tr align="center">
<td>60</td>
<td>Convolution</td>
<td>9x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  97.690000</td>
<td>  97.529000</td>
 </tr>
 <tr align="center">
<td>61</td>
<td>Convolution</td>
<td>9x9, O: S16</td>
<td>640x480  (307200)</td>
<td> 102.751000</td>
<td> 102.586000</td>
 </tr>
 <tr align="center">
<td>62</td>
<td>Equalize Histogram</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.768000</td>
<td>   1.620000</td>
 </tr>
 <tr align="center">
<td>63</td>
<td>Gaussian</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.107000</td>
<td>   0.957000</td>
 </tr>
 <tr align="center">
<td>64</td>
<td>Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>  14.494000</td>
<td>  14.314000</td>
 </tr>
 <tr align="center">
<td>65</td>
<td>Half Scale Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.624000</td>
<td>   1.471000</td>
 </tr>
 <tr align="center">
<td>66</td>
<td>Harris Corners</td>
<td></td>
<td>640x480  (307200)</td>
<td>  28.572000</td>
<td>  28.387000</td>
 </tr>
 <tr align="center">
<td>67</td>
<td>Histogram</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.140000</td>
<td>   0.928000</td>
 </tr>
 <tr align="center">
<td>68</td>
<td>Integral Image</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.935000</td>
<td>   1.776000</td>
 </tr>
 <tr align="center">
<td>69</td>
<td>Laplacian Pyramid</td>
<td>U8; Levels = 6</td>
<td>640x480  (307200)</td>
<td>  10.858000</td>
<td>  10.683000</td>
 </tr>
 <tr align="center">
<td>70</td>
<td>Laplacian Reconstruct</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>  13.753000</td>
<td>  13.587000</td>
 </tr>
 <tr align="center">
<td>71</td>
<td>LookUpTable</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.362000</td>
<td>   1.217000</td>
 </tr>
 <tr align="center">
<td>72</td>
<td>Magnitude</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   4.266000</td>
<td>   4.108000</td>
 </tr>
 <tr align="center">
<td>73</td>
<td>Mean/Standard Deviation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.575000</td>
<td>   0.432000</td>
 </tr>
 <tr align="center">
<td>74</td>
<td>Median</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.304000</td>
<td>   1.148000</td>
 </tr>
 <tr align="center">
<td>75</td>
<td>Min Max Loc</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   1.73000 </td>
<td>   0.916000</td>
 </tr>
 <tr align="center">
<td>76</td>
<td>Multiply</td>
<td>U8 x U8 = U8</td>
<td>640x480  (307200)</td>
<td>   0.995000</td>
<td>   0.856000</td>
 </tr>
 <tr align="center">
<td>77</td>
<td>Multiply</td>
<td>U8 x U8 = S16</td>
<td>640x480  (307200)</td>
<td>   1.224000</td>
<td>   1.83000 </td>
 </tr>
 <tr align="center">
<td>78</td>
<td>Multiply</td>
<td>U8 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.368000</td>
<td>   1.217000</td>
 </tr>
 <tr align="center">
<td>79</td>
<td>Multiply</td>
<td>S16 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.519000</td>
<td>   1.360000</td>
 </tr>
 <tr align="center">
<td>80</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Erosion</td>
<td>640x480  (307200)</td>
<td>   3.901000</td>
<td>   3.740000</td>
 </tr>
 <tr align="center">
<td>81</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Dilation</td>
<td>640x480  (307200)</td>
<td>   3.893000</td>
<td>   3.729000</td>
 </tr>
 <tr align="center">
<td>82</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Median</td>
<td>640x480  (307200)</td>
<td>  46.785000</td>
<td>  46.624000</td>
 </tr>
 <tr align="center">
<td>83</td>
<td>Optical Flow</td>
<td>5x5</td>
<td>640x480  (307200)</td>
<td>   8.222000</td>
<td>   8.21000 </td>
 </tr>
 <tr align="center">
<td>84</td>
<td>Phase</td>
<td></td>
<td>640x480  (307200)</td>
<td>   4.458000</td>
<td>   4.280000</td>
 </tr>
 <tr align="center">
<td>85</td>
<td>Remap</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>  13.82000 </td>
<td>  12.913000</td>
 </tr>
 <tr align="center">
<td>86</td>
<td>Remap</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>  10.365000</td>
<td>  10.172000</td>
 </tr>
 <tr align="center">
<td>87</td>
<td>Scale Image</td>
<td>1 to 2; Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   1.429000</td>
<td>   1.286000</td>
 </tr>
 <tr align="center">
<td>88</td>
<td>Scale Image</td>
<td>1 to 2; Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   5.290000</td>
<td>   5.125000</td>
 </tr>
 <tr align="center">
<td>89</td>
<td>Sobel</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.802000</td>
<td>   1.642000</td>
 </tr>
 <tr align="center">
<td>90</td>
<td>Threshold</td>
<td>Binary</td>
<td>640x480  (307200)</td>
<td>   0.752000</td>
<td>   0.611000</td>
 </tr>
 <tr align="center">
<td>91</td>
<td>Warp Affine</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   0.818000</td>
<td>   0.651000</td>
 </tr>
 <tr align="center">
<td>92</td>
<td>Warp Affine</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   1.695000</td>
<td>   1.541000</td>
 </tr>
 <tr align="center">
<td>93</td>
<td>Warp Pespective</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   1.44000 </td>
<td>   0.885000</td>
 </tr>
 <tr align="center">
<td>94</td>
<td>Warp Pespective</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   2.130000</td>
<td>   1.971000</td>
 </tr>
</table>
</body>
</html>
<p>Footnote 1: All optional parameters for relevant kernels are used<p><p>Footnote 2: All image sizes are for input parameters unless noted with an asterisk (*) in which case these are the output parameter sizes<p>
 </div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
